PHP Manual
Prev |  | Next

# usleep

(PHP 3, PHP 4, PHP 5)

usleep -- Delay execution in microseconds

## Description

void usleep ( int micro_seconds )

Delays program execution for the given number of micro seconds.

## Parameters

`micro_seconds`

  Halt time in micro seconds. A micro second is one millionth of a second.

## Return Values

No value is returned.

## ChangeLog

Version | Description
--- | ---
5.0.0 | This function now works on Windows systems.

## Examples

Example 1. usleep() example

`<?php // Current time echo date('h:i:s') . "\n"; // wait for 2 seconds usleep(2000000); // back! echo date('h:i:s') . "\n"; ?>`

The above example will output:

    11:13:28
    11:13:30

## See Also

sleep()
set_time_limit()

Prev | Home | Next
unpack | Up | mnoGoSearch Functions